#include <stdio.h>
#include "list.h"

void mylistprint(list)
    List* list;
{
    Element *elem;
    fprintf(stderr,"Printing list:\n");
    elem = listfirst(list);
    while(elem != NULL)
    {
        int info = elementinfo(elem);
        fprintf(stderr,"    value = %d\n",info);
        elem = listnext(list);
    }
}

main()
{
    Element* elem;
    List* listhead;
    int a = 10; 
    int b = 20;

    listhead = listcreate(10);
    fprintf(stderr,"after creation\n");
    mylistprint(listhead);

    elem = elementcreate(a);
    listinsert(listhead,elem);
    fprintf(stderr,"\nafter first insert\n");
    mylistprint(listhead);

    elem = elementcreate(b);
    listinsert(listhead,elem);
    fprintf(stderr,"\nafter second insert\n");
    mylistprint(listhead);
}
